Look up bank by routing number | Moov Documentation

Look up bank by routing number

This endpoint has been deprecated and will be removed in a future release. Use /institutions.

Search for institutions by either their name or routing number.

To access this endpoint using an access token you'll need to specify the /fed.read scope.

GET

/institutions/ach/search

Ask

curl -X GET "https://api.moov.io/institutions/ach/search" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

The request completed successfully.

Example

{
  "achParticipants": [
    {
      "achLocation": {
        "address": "123 Main Street",
        "city": "Boulder",
        "postalCode": "80301",
        "postalCodeExtension": "0000",
        "state": "Colorado"
      },
      "customerName": "Main Street Bank",
      "newRoutingNumber": "987654321",
      "officeCode": "0",
      "phoneNumber": "1234567789",
      "recordTypeCode": "1",
      "revised": "041921",
      "routingNumber": "123456789",
      "servicingFRBNumber": "123456789",
      "statusCode": "1",
      "viewCode": "1",
      "cleanName": "Main Street Bank",
      "logo": {
        "name": "Main Street Bank",
        "url": "https://www.mainstreetbank.com/logo.png"
      }
    }
  ]
}

Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

Ask

Example

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Name of the financial institution. Either name or routingNumber is required.

Routing number for a financial institution. Either routingNumber or name is required.

The state where a financial institution is based.

Maximum results returned by a search.

Show child attributes

Show child attributes

Show child attributes

Was this helpful?

Any specific feedback?